Skip to content
Permalink
Browse files

Problem: Out of sync with zproject

Solution: Re-generate!
  • Loading branch information...
sappo committed Jul 7, 2019
1 parent 2648b7e commit f4631ccf1bf5f50d5acd074767db17b2fa796973
Showing with 13 additions and 11 deletions.
  1. +6 −6 bindings/jni/src/main/java/org/zeromq/tools/ZmqNativeLoader.java
  2. +4 −2 configure.ac
  3. +3 −3 src/zyre_selftest.c
@@ -10,14 +10,14 @@

public static void loadLibrary(String libname) {
if (!loadedLibraries.contains(libname)) {
if (System.getProperty("java.vm.vendor").contains("Android")) {
System.loadLibrary(libname);
} else {
try {
try {
if (System.getProperty("java.vm.vendor").contains("Android")) {
System.loadLibrary(libname);
} else {
NativeLoader.loadLibrary(libname);
} catch (Exception e) {
System.err.println("[WARN] " + e.getMessage() +" from jar. Assuming it is installed on the system.");
}
} catch (Exception e) {
System.err.println("[WARN] " + e.getMessage() +" from jar. Assuming it is installed on the system.");
}
loadedLibraries.add(libname);
}
@@ -652,10 +652,12 @@ AS_IF([test "x$enable_Werror" = "xyes" || test "x$enable_Werror" = "xauto"],
])])])
AS_IF([test -n "$CPP"],[AS_IF([$CPP --version 2>&1 | grep 'Free Software Foundation' > /dev/null && test "x$GCC" = "xyes"],
[AC_MSG_NOTICE([Enabling pedantic errors for GNU CPP preprocessor])
CPPFLAGS="$CPPFLAGS -pedantic -Werror -Wall -Wc++-compat"],
CPPFLAGS="$CPPFLAGS -pedantic -Werror -Wall -Wc++-compat"
],
[AS_IF([$CXX --version 2>&1 | grep 'clang version' > /dev/null],
[AC_MSG_NOTICE([Enabling pedantic errors for clang CPP preprocessor])
CPPFLAGS="$CPPFLAGS -pedantic -Werror -Wall -Wc++-compat"],
CPPFLAGS="$CPPFLAGS -pedantic -Werror -Wall -Wc++-compat"
],
[AC_MSG_NOTICE([Not enabling pedantic errors: preprocessor not supported by this recipe (not GNU or clang CPP)])
AS_IF([test "x$enable_Werror" = "xyes"], [AC_MSG_ERROR([--enable-Werror=yes was requested and can not be satisfied for CPP: $CPP])])
])])])
@@ -32,9 +32,6 @@ typedef struct {

static test_item_t
all_tests [] = {
// Tests for stable public classes:
{ "zyre", zyre_test, true, true, NULL },
{ "zyre_event", zyre_event_test, true, true, NULL },
#ifdef ZYRE_BUILD_DRAFT_API
// Tests for stable/draft private classes:
// Now built only with --enable-drafts, so even stable builds are hidden behind the flag
@@ -45,6 +42,9 @@ all_tests [] = {
{ "zyre_node", NULL, true, false, "zyre_node_test" },
{ "private_classes", NULL, false, false, "$ALL" }, // compat option for older projects
#endif // ZYRE_BUILD_DRAFT_API
// Tests for stable public classes:
{ "zyre", zyre_test, true, true, NULL },
{ "zyre_event", zyre_event_test, true, true, NULL },
{NULL, NULL, 0, 0, NULL} // Sentinel
};

0 comments on commit f4631cc

Please sign in to comment.
You can’t perform that action at this time.